commit ddf8b0e06f27667b689dbd970d6c4ab0f088d671
Author: Georg-Johann Lay <avr@gjlay.de>
Date:   Thu Jun 12 10:07:37 2025

    Fix test case for PR117811 which failed for int < 32 bit.
    
            PR middle-end/117811
            PR testsuite/52641
    gcc/testsuite/
            * gcc.dg/torture/pr117811.c: Fix for int < 32 bit.
    
    (cherry picked from commit 07f229c2d7ee6b604e5a86092e675d5d36c1ba4e)

diff --git a/gcc/testsuite/gcc.dg/torture/pr117811.c b/gcc/testsuite/gcc.dg/torture/pr117811.c
index 13d7e134780..05e8622f25e 100644
--- a/gcc/testsuite/gcc.dg/torture/pr117811.c
+++ b/gcc/testsuite/gcc.dg/torture/pr117811.c
@@ -18,8 +18,13 @@ void __attribute__((noclone,noinline)) do_shift (v4 *vec, int shift)
 
 int main ()
 {
+#if __SIZEOF_INT__ >= 4
   v4 vec =  {0x1000000, 0x2000, 0x300, 0x40};
   v4 vec2 = {0x100000,  0x200,  0x30,  0x4};
+#else
+  v4 vec =  {0x4000, 0x2000, 0x300, 0x40};
+  v4 vec2 = {0x400,  0x200,  0x30,  0x4};
+#endif
   do_shift (&vec, 4);
   if (memcmp (&vec, &vec2, sizeof (v4)) != 0)
     __builtin_abort ();

